# Class CIM_RemoteAccessAvailableToElement
extends CIM_Dependency

Describes an element's knowledge regarding accessing other (i.e., remote) Servers and Systems.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_RemoteAccessAvailableToElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Describes an element's knowledge regarding accessing other (i.e., remote) Servers and Systems.
UMLPackagePath | string | CIM::Network::Misc
Version | string | 2.19.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsDefault | boolean |
Description | string | Indicates that this access information is defined as a default configuration for the system.
OrderOfAccess | uint16 | 0

Description

string

When an element is accessing remote services and systems, it MAY be necessary to order those accesses. This property defines that ordering - where lower numbers indicate a higher priority for access. A value of 0 (default) indicates that ordering does not apply. If multiple RemoteAccessPoint instances have the same value for OrderOfAccess, then these AccessPoints MAY be used in any sequence defined by the implementation.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RemoteAccessAvailableToElement | CIM_RemoteServiceAccessPoint
Dependent | CIM_RemoteAccessAvailableToElement | CIM_EnabledLogicalElement

## Class Methods